package com.bocloud.ims.entity.resource.powervc;


import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * powervc主机sea适配器
 *
 * @author lkx007
 */
@Table("host_sea_adapter")
public class HostSeaAdapter {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    /**
     * ent7
     */
    @Column("sea_name")
    private String seaName;
    /**
     * ETHERNET0(Default)
     */
    @Column("vswitch")
    private String vswitch;
    /**
     * 1
     */
    @Column("pvid")
    private Integer pvid;
    /**
     * 小机上的逻辑分区的id
     * 1
     */
    @Column("lpar_id")
    private Integer lparId;

    @Column("lpar_name")
    private String lparName;
    /**
     * 是否为默认设备
     */
    @Column("inital")
    private Boolean inital;
    /**
     * 适配器对应小机的平台数据库id
     */
    @Column("server_id")
    private Long serverId;

    @Column("server_name")
    @IgnoreAll
    private String serverName;

    @Column("server_host")
    @IgnoreAll
    private String serverHost;

    /**
     * 适配器对应小机的平台vendor id
     */
    @Column("vendor_id")
    private Long vendorId;

    /**
     * 状态
     */
    @Column("state")
    private String state;

    @IgnoreAll
    private String networkId;

    public HostSeaAdapter() {
        super();
    }

    public HostSeaAdapter(String seaName, Integer lparId, String serverName) {
        this.seaName = seaName;
        this.lparId = lparId;
        this.serverName = serverName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSeaName() {
        return seaName;
    }

    public void setSeaName(String seaName) {
        this.seaName = seaName;
    }

    public String getVswitch() {
        return vswitch;
    }

    public void setVswitch(String vswitch) {
        this.vswitch = vswitch;
    }

    public Integer getPvid() {
        return pvid;
    }

    public void setPvid(Integer pvid) {
        this.pvid = pvid;
    }

    public Integer getLparId() {
        return lparId;
    }

    public void setLparId(Integer lparId) {
        this.lparId = lparId;
    }

    public Boolean getInital() {
        return inital;
    }

    public void setInital(Boolean inital) {
        this.inital = inital;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getNetworkId() {
        return networkId;
    }

    public void setNetworkId(String networkId) {
        this.networkId = networkId;
    }

    public String getLparName() {
        return lparName;
    }

    public void setLparName(String lparName) {
        this.lparName = lparName;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getServerHost() {
        return serverHost;
    }

    public void setServerHost(String serverHost) {
        this.serverHost = serverHost;
    }
}
